"use strict";

var _wp = wp,
  apiFetch = _wp.apiFetch;
jQuery(function ($) {
  var gutenify_infiRedirectToKitPage = function gutenify_infiRedirectToKitPage(res) {
    // if( res?.status && 'active' === res.status ) {
    window.location = "".concat(window.gutenify_infi.gutenify_kit_gallery);
    // }
  };

  // Activate Gutenify.
  $(document).on('click', '.gutenify-infi-activate-gutenify', function () {
    $(this).html('<span class="dashicons dashicons-update"></span> Loading...').addClass('gutenify-infi-importing-gutenify');
    apiFetch({
      path: '/wp/v2/plugins/gutenify/gutenify',
      method: 'POST',
      data: {
        "status": "active"
      }
    }).then(function (res) {
      gutenify_infiRedirectToKitPage(res);
    })["catch"](function () {
      gutenify_infiRedirectToKitPage({});
    });
  });
  $(document).on('click', '.gutenify-infi-install-gutenify', function () {
    $(this).html('<span class="dashicons dashicons-update"></span> Loading...').addClass('gutenify-infi-importing-gutenify');
    apiFetch({
      path: '/wp/v2/plugins',
      method: 'POST',
      data: {
        "slug": "gutenify",
        "status": "active"
      }
    }).then(function (res) {
      gutenify_infiRedirectToKitPage(res);
    })["catch"](function () {
      gutenify_infiRedirectToKitPage({});
    });
  });
  $(document).on('click', '.gutenify-infi-admin-notice .notice-dismiss', function () {
    console.log(ajaxurl + "?action=gutenify_infi_hide_theme_info_noticebar");
    apiFetch({
      url: ajaxurl + "?action=gutenify_infi_hide_theme_info_noticebar&gutenify_infi-nonce-name=".concat(window.gutenify_infi.gutenify_infi_nonce),
      method: 'POST'
    }).then(function (res) {
      console.log(res);
    })["catch"](function (res) {
      console.log(res);
    });
  });
});